Soporte » Instalación – Actualizaciones » Instalo la versión 5.8.1 y el resultado es la 5.9

  • Resuelto karlosiglesiasmontes

    (@karlosiglesiasmontes)


    Tengo problemas con mi wp con la V 5.9 y quiero hacer una instalación de la 5.8.1 para en principio dejarla funcionando y después meter el código en wp-config para que no se actualice ¡PERO! hay un problema. Me descargo la versión 5.8.1 y la instalo pero el resultado es la 5.9, no lo entiendo porque esto ya lo hice en otras ocasiones y se instalaba la versión que que habías subido, no como esta vez que aunque instale una anterior voy al escritorio y me salen los globitos anunciando la 5.9… si es que de ahora en adelante va ser así ya se pueden ir quitando de la web al versiones antiguas porque no tiene sentido que estén si el resultado va a ser la ultima versión.

    En este video de poco más de 1 min se vé lo que sucede:https://youtu.be/HsAcz_SwyFc

Viendo 5 respuestas - de la 1 a la 5 (de un total de 5)
  • Moderador almendron

    (@almendron)

    ya se pueden ir quitando de la web al versiones antiguas

    Esto no es el soporte oficial de WordPress ni aquí somos nadie para decidir un cambio. Esto solo es un foro donde los usuarios de WP intentamos ayudarnos los unos a los otros.

    o tiene sentido que estén si el resultado va a ser la ultima versión.

    Acabo de hacer una prueba en local y se me ha instalado la versión que he descargado. En modo alguno me ha pasado a la última.

    Eso sí, lo he hecho a la vieja usanza:
    1) Crear base de datos
    2) Crear carpeta (prueba_version) y meter en ella el WP
    3) Acceder mediante http://localhost/prueba_version

    Es muy probable que sea tu propio hosting en responsable del anómalo comportamiento que describes.

    Iniciador del debate karlosiglesiasmontes

    (@karlosiglesiasmontes)

    En local con MAMP me sucedía lo mismo, no solo lo probé en un servidor online, como tampoco me gusta molestar en el foro por cualquier cosa, llamé a otras dos personas por si me daban una solución y en las pruebas que hicieron les pasaba lo mismo y no con ionos.

    Respecto a la primera respuesta que me das sobre lo de «quitar la versiones antiguas» lo decía con sarcasmo por lo que me estaba sucediendo pero veo que hay pieles muy finas que lo han percibido con otra intencionalidad, para otra vez intentaré eliminar el sarcasmo y está claro que si están es porque funcionan.

    No obstante hace nada y antes de escribir esto, me acaba de llamar una de las personas a las que le había consultado y me dio una solución (al parecer bastante obvia) en la que no había caído y que ha funcionado, la comento por si a alguien le sucede lo mismo y verdaderamente le sirva la respuesta…

    Sería meter el código de NO actualización en wp-config-sample.php, antes de ejecutar las instalación del worpress.

    define( ‘WP_AUTO_UPDATE_CORE’, false );

    Moderador Jose Luis

    (@jose64)

    Hola @karlosiglesiasmontes

    Complementando lo que te comenta @almendron, en la web se mantienen todas las versiones justamente porque hay usuarios que, como en tu caso, necesitan una versión de WordPress que no es la última, en todo caso te diría que si necesitas usar la rama 5.8 instalases la 5.8.4, que es la que tiene todas las actualizaciones de seguridad al día.

    Yo acabo de hacer exactamente el mismo proceso en el mismo hosting y la versión instalada ha sido la 5.8.1:

    Versión actual: 5.8.1
    Última comprobación el 13 de marzo de 2022 a las 12:42. Comprobar de nuevo.
    
    Actualización automática programada en 9 horas.
    
    Este sitio se mantiene actualizado automáticamente con cada nueva versión de WordPress.
    Cambiar a actualizaciones automáticas solo para versiones de mantenimiento y seguridad.

    Eso si, como puedes ver indica que va actualizarse automáticamente a la última versión, para que no se actualice tienes que hacer clic en el enlace Cambiar a actualizaciones automáticas solo para versiones de mantenimiento y seguridad.

    Cuando haces clic en el enlace verás que el mensaje cambia a

    Versión actual: 5.8.1
    Última comprobación el 13 de marzo de 2022 a las 12:42. Comprobar de nuevo.
    
    Este sitio se mantiene al día automáticamente solo con las versiones de mantenimiento y seguridad de WordPress.
    Activar las actualizaciones automáticas de todas las versiones nuevas de WordPress.

    Si no quieres que se actualice nada automáticamente tienes que añadir esta línea al archivo wp-config.php en la raíz de la instalación, de hecho deberías añadirla al momento de configurar el acceso a la base de datos, así te aseguras de que no te salte la actualización automática:

    define( 'AUTOMATIC_UPDATER_DISABLED', true );

    o para que no se actualice el núcleo solamente esta:

    define( 'WP_AUTO_UPDATE_CORE', false );

    Por supuesto, como te indica @almendron algunos proveedores de hosting fuerzan las actualizaciones automáticas inclusive para las versiones mayores omitiendo los ajustes que tú hagas, en ese caso tienes que ponerte en contacto con el hosting para que lo solucionen ellos.

    Comenta si tienes alguna duda y, por favor, recuerda marcar el debate como resuelto cuando así lo consideres, de esta forma nos ayudas a mantener el foro al día.

    Iniciador del debate karlosiglesiasmontes

    (@karlosiglesiasmontes)

    ok

    Moderador almendron

    (@almendron)

    La piel fina será la tuya porque yo solo pretendía indicarte que la gente que intenta ayudar a otros en este foro poco podía hacer al respecto.

    y verdaderamente le sirva la respuesta…

    La respuesta que yo te he dado era más que correcta. Me he molestado en comprobar que el problema que describías no se debía a un comportamiento por defecto de WordPress sino que era debido al propio hosting.

    Como te ha demostrado @jose64 , eso era precisamente lo que sucedía. Pero en fin… la ignorancia es muy atrevida.

Viendo 5 respuestas - de la 1 a la 5 (de un total de 5)
  • Debes estar registrado para responder a este debate.